package com.sinosig.web.module.controller;

import java.util.ArrayList;
import java.util.List;

import javax.servlet.http.HttpServletRequest;
import com.alibaba.fastjson.JSONObject;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;
import com.alibaba.fastjson.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.data.domain.PageRequest;
import com.sinosig.web.module.service.SYXTBYDService;
import com.sinosig.web.module.domain.SYXTBYD;
import com.sinosig.web.module.filter.*;

@RestController
@RequestMapping(value = "")
public class SYXTBYDController {
	@Autowired
    SYXTBYDService syxtbydservice;



    public ResponseEntity<Boolean> removeByCID(@PathVariable("cid_id") String cid_id, @PathVariable("syxtbyd_id") String syxtbyd_id) {
        return null;
    }

    public ResponseEntity<SYXTBYD> updateByCID(@PathVariable("cid_id") String cid_id, @PathVariable("syxtbyd_id") String syxtbyd_id, @RequestBody SYXTBYD syxtbyd) {
        return null;
    }


    public ResponseEntity<SYXTBYD> getTempMajorByCID(@PathVariable("cid_id") String cid_id, @PathVariable("syxtbyd_id") String syxtbyd_id, @RequestBody SYXTBYD syxtbyd) {
        return null;
    }


    public ResponseEntity<SYXTBYD> createTempByCID(@PathVariable("cid_id") String cid_id, @PathVariable("syxtbyd_id") String syxtbyd_id, @RequestBody SYXTBYD syxtbyd) {
        return null;
    }


    public ResponseEntity<SYXTBYD> updateTempMajorByCID(@PathVariable("cid_id") String cid_id, @PathVariable("syxtbyd_id") String syxtbyd_id, @RequestBody SYXTBYD syxtbyd) {
        return null;
    }


    public ResponseEntity<SYXTBYD> getTempByCID(@PathVariable("cid_id") String cid_id, @PathVariable("syxtbyd_id") String syxtbyd_id, @RequestBody SYXTBYD syxtbyd) {
        return null;
    }


    public ResponseEntity<SYXTBYD> saveByCID(@PathVariable("cid_id") String cid_id, @PathVariable("syxtbyd_id") String syxtbyd_id, @RequestBody SYXTBYD syxtbyd) {
        return null;
    }

    public ResponseEntity<SYXTBYD> getDraftByCID() {
        return null;
    }


    public ResponseEntity<SYXTBYD> removeTempMajorByCID(@PathVariable("cid_id") String cid_id, @PathVariable("syxtbyd_id") String syxtbyd_id, @RequestBody SYXTBYD syxtbyd) {
        return null;
    }


    public ResponseEntity<SYXTBYD> getTBYDKXXByCID(@PathVariable("cid_id") String cid_id, @PathVariable("syxtbyd_id") String syxtbyd_id, @RequestBody SYXTBYD syxtbyd) {
        return null;
    }

    public ResponseEntity<Boolean> checkKeyByCID(@PathVariable("cid_id") String cid_id, @RequestBody SYXTBYD syxtbyd) {
        return null;
    }


    public ResponseEntity<SYXTBYD> removeTempByCID(@PathVariable("cid_id") String cid_id, @PathVariable("syxtbyd_id") String syxtbyd_id, @RequestBody SYXTBYD syxtbyd) {
        return null;
    }


    public ResponseEntity<SYXTBYD> updateTempByCID(@PathVariable("cid_id") String cid_id, @PathVariable("syxtbyd_id") String syxtbyd_id, @RequestBody SYXTBYD syxtbyd) {
        return null;
    }

    public ResponseEntity<SYXTBYD> createByCID(@PathVariable("cid_id") String cid_id, @RequestBody SYXTBYD syxtbyd) {
        return null;
    }


    public ResponseEntity<SYXTBYD> createTempMajorByCID(@PathVariable("cid_id") String cid_id, @PathVariable("syxtbyd_id") String syxtbyd_id, @RequestBody SYXTBYD syxtbyd) {
        return null;
    }

    public ResponseEntity<SYXTBYD> getByCID(@PathVariable("cid_id") String cid_id, @PathVariable("syxtbyd_id") String syxtbyd_id) {
        return null;
    }


    public ResponseEntity<SYXTBYD> getDraftTempMajorByCID(@PathVariable("cid_id") String cid_id, @PathVariable("syxtbyd_id") String syxtbyd_id, @RequestBody SYXTBYD syxtbyd) {
        return null;
    }


    public ResponseEntity<SYXTBYD> getDraftTempByCID(@PathVariable("cid_id") String cid_id, @PathVariable("syxtbyd_id") String syxtbyd_id, @RequestBody SYXTBYD syxtbyd) {
        return null;
    }

	public ResponseEntity<List<SYXTBYD>> fetchDefaultByCID() {
        return null;
    }


}
